<template>
    <modal
            name="password-modal"
            transition="nice-modal-fade"
            :min-width="200"
            :min-height="200"
            :pivot-y="0.5"
            :adaptive="true"
            :scrollable="true"
            :reset="true"
            :max-width="600"
            width="80%"
            height="auto">
        <div class="modal-content">
        <h2 class="modal-h2">Придумайте пароль</h2>

            <div>
                <div v-if="error" class="error-msg">{{error}}</div>
                <input type="password" v-model="password" class="text-input" placeholder="Введите пароль">
                <input type="password" v-model="confirmPassword" class="text-input" placeholder="Повторить пароль">

            </div>

            <div class="text-center"><button class="a-btn" @click="register">Сохранить</button></div>

        </div>
    </modal>
</template>

<script>
export default {
  name: 'PasswordModal',
    data(){
      return {
          password: '',
          confirmPassword: '',
          error: '',
      }
    },
    mounted(){

    },
    methods:{
      register() {
          this.error = ''
          if(this.password!==this.confirmPassword){
              this.error = 'Пароли не совпадают'
          }
          else{
              this.error = '';
              let password = this.password;
              this.$store.dispatch('register',  password)
                  .then(() => {
                      this.$modal.hide('password-modal');
                      this.$modal.show('fill-modal')
                  })
                  .catch(err => this.error = err)
          }

      }
    }
}
</script>
